package org.springblade.modules.member.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 时间类型枚举
 */
@Getter
@AllArgsConstructor
public enum DateTypeEnum {

	/**
	 * 今日
	 */
	TODAY("today", "今日"),
	/**
	 * 近7天
	 */
	REC7DAY("rec7day", "近7天"),
	/**
	 * 本月
	 */
	MONTH("month", "本月"),

	/**
	 * 本月还有的会员生日人数（剩余的） // 额外放置的类型
	 */
	MONTHSURPLUS("monthSurplus", "本月还有的会员生日人数（剩余的）"),

	;

	private final String code;
	public final String desc;

}

